Subject: bug#17124: 24.3.50; Occasional Extremely Slow Redraws in OSX Emacs

From: Eric Froemling <[email-masked]>
Date: Fri, 28 Mar 2014 09:19:41 -0700

Hi Eli,
Thanks for the info.
I’ll try to take a look at CPU load next time.
Here’s a youtube vid (unlisted) of my example in case that’s something
you can view:
https://www.youtube.com/watch?v=FSAGh4ER_AE&feature=youtu.be
I’m definitely seeing delays between characters on individual lines, but also
even things like drawing the borders around all of the frame’s windows are
taking multiple frames.  In total, refreshing the whole UI takes about
30 seconds whereas it is usually pretty instantaneous.  It looks sort of
like the slow-motion-redraw you see in X11 on a box that is completely
swapped out, (though there is definitely no swapping going on in this case)
-Eric

On Mar 28, 2014, at 12:20 AM, Eli Zaretskii <[email-masked]> wrote:

>> From: Eric Froemling <[email-masked]>
>> Date: Thu, 27 Mar 2014 14:23:28 -0700
>> 
>> I've been using various OSX emacs builds from http://emacsformacosx.com
>> for a few years now.  I'm on a 2012 Retina Macbook Pro 15".  Every so
>> often when I am resizing the emacs frame or window I get a single
>> extremely slow redraw.  Here's a screen-capture video I was able to 
>> take of one just now as it was occurring:
>> http://www.files.froemling.net/misc/SlowEmacs.mov
> 
> I cannot see that movie on my box.  Do you see delays between
> characters on the same screen lines, or is the delay between screen
> lines?
> 
>> I have not found a way to reliably reproduce these, though they happen
>> somewhat regularly when I am working.  Please let me know if there's
>> any other info I can provide or anything I can do on my end to help
>> get to the bottom of this.
> 
> Try to look at the CPU load when this happens, in particular if more
> than a single CPU core is busy (assuming you have a multi-core CPU).
> If more than one core us busy, it probably means that more than one
> thread is using the CPU (Emacs redisplay engine is single-threaded).